List all webhooks
Returns all webhooks in your Sender account.
Endpoint
Section titled “Endpoint”HTTP method: GET
https://api.sender.net/v2/account/webhooks
Request Examples
Section titled “Request Examples”const url = new URL("https://api.sender.net/v2/account/webhooks");
let headers = { "Authorization": "Bearer [your-token]", "Content-Type": "application/json", "Accept": "application/json",};
fetch(url, { method: "GET", headers,}).then(response => response.json()).then(data => console.log(data)).catch(error => console.error('Error:', error));$client = new \GuzzleHttp\Client();$response = $client->get( 'https://api.sender.net/v2/account/webhooks', [ 'headers' => [ 'Authorization' => 'Bearer [your-token]', 'Content-Type' => 'application/json', 'Accept' => 'application/json', ], ]);
$body = $response->getBody()->getContents();$data = json_decode($body, true);print_r($data);import requestsimport json
url = "https://api.sender.net/v2/account/webhooks"
headers = { "Authorization": "Bearer [your-token]", "Content-Type": "application/json", "Accept": "application/json",}
response = requests.request('GET', url, headers=headers)
print(response.json())curl -X GET \-G "https://api.sender.net/v2/account/webhooks" \-H "Authorization: Bearer [your-token]" \-H "Content-Type: application/json" \-H "Accept: application/json"Response
Section titled “Response”{ "data": [ { "id": "QbY0Wa", "account_id": "egy29b", "url": "https://webhook.site/da83f596-5bc3-48d3-8bab-f8203a5847af", "topic": "groups/new-subscriber", "group": "bmY0Mp", "total_deliveries": 1, "total_failures": 0, "response_time": 150, "status": "ACTIVE" }, { "id": "mbkBva", "account_id": "egy29b", "url": "https://webhook.site/da83f596-5bc3-48d3-8bab-f8203a5847af", "topic": "campaigns/new", "group": null, "total_deliveries": 116, "total_failures": 0, "response_time": 174, "status": "ACTIVE" } ], "links": { "first": "https://api.sender.net/v2/account/webhooks?page=1", "last": "https://api.sender.net/v2/account/webhooks?page=1", "prev": null, "next": null }, "meta": { "current_page": 1, "from": 1, "last_page": 1, "links": [], "path": "https://api.sender.net/v2/account/webhooks", "per_page": 10, "to": 10, "total": 1 }}